Subject: Re: bug#36859: Customizable fit-window-to-buffer

From: martin rudalics <[email-masked]>
Date: Wed, 31 Jul 2019 11:12:46 +0200

> It's a nice feature when fit-window-to-buffer resizes temporary windows
 > that go away after exiting the minibuffer.
 >
 > OTOH, resizing permanent windows does more harm, because these windows
 > can be reused later for other buffers, but their size remains too narrow.

What is a permanent window?  IIRC we only fit new windows or frames
that go away when quit and carefully try to not resize other windows
but the one used for splitting off the new window.  Old windows are
fit iff they did show the same buffer before and were created for that
buffer.  Such windows should, by concept, not be reused for showing
another buffer.

 > I'm not asking to change the default behavior, but it should be customizable.

In what sense?

martin